let actionExtension = {
    getDetailRestaurant: "getDetailRestaurant",
    sendOrderToApp: "sendOrderToApp",
    onGetDataFromUrl: "onGetDataFromUrl",
    onPostDataToUrl: "onPostDataToUrl",
};
chrome.runtime.onMessage.addListener(async function (request, sender, sendResponse) {
    if (request.action === 'contentScriptMessage') {
        switch (request.payload.action) {
            case actionExtension.getDetailRestaurant:
                break;
            case actionExtension.sendOrderToApp:
                break;
            case actionExtension.onGetDataFromUrl:
                break;
            case actionExtension.onPostDataToUrl:
                break;
        }
    }
});

function sendDataToContentScript(payload) {
    chrome.tabs.query({active: true, currentWindow: true}, function (tabs) {
        chrome.tabs.sendMessage(tabs[0].id, {action: 'backgroundScriptMessage', payload: payload});
    });
}